@charset "utf-8";

/*
   Author: Shane Molter
   Date:   2022-12-04
   Filename: layout.css
*/

/* GRID SETUP AND STRUCTURE */
.header{
	grid-area: header;
}

.article{
	grid-area: article;
	font-size: 1.2em;
	text-align: left;
}

.aside{
	grid-area: aside;
	font-size: 1.2em;
}

.aside2{
	grid-area: aside;
	font-size: 1.2em;
}

.footer{
	grid-area: footer;
}


/* GRID SMALL SCREEN GRID LAYOUT */
@media only screen and (max-width: 768px){
	.gridA {
		display: grid; 
		grid-template-columns: 1fr 1fr 1fr;
		grid-template-areas: 	"header header header" 
								"article article article"
								"aside aside aside"
								"footer footer footer";
		grid-column-gap: 5px;
	}
	.gridB {
	display: grid; 
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-areas: 	"header header header" 
							"article article article"
							"aside aside aside"
							"footer footer footer";
	grid-column-gap: 5px;
	}
	.gridC {
	display: grid; 
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-areas: 	"header header header" 
							"article article article"
							"aside aside aside"
							"footer footer footer";
	grid-column-gap: 5px;
	}
}

/*GRID LARGE SCREEN GRID LAYOUT */
@media only screen and (min-width: 769px){
	
	.gridA {
		display: grid; 
		grid-template-columns: 1fr 1fr 1fr;
		grid-template-areas: 	"header header header" 
								"article article aside"
								"footer footer footer";
		grid-column-gap: 5px;
	}
	.gridB {
	display: grid; 
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-areas: 	"header header header" 
							"article aside aside"
							"footer footer footer";
	grid-column-gap: 5px;
	}
	.gridC {
	display: grid; 
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-areas: 	"header header header" 
							"article article article"
							"aside aside aside"
							"footer footer footer";
	grid-column-gap: 5px;
	}
}



